footer{
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (1fr)[4];
    grid-template-columns: repeat(4,1fr);
    -ms-grid-rows: 1fr 1vw -webkit-max-content;
    -ms-grid-rows: 1fr 1vw max-content;
    grid-template-rows: 1fr -webkit-max-content;
    grid-template-rows: 1fr max-content;
    text-align: center;
    justify-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    grid-template-areas: 
        "UL address WH contact"
        "copyright copyright copyright copyright";
    border-top: 3px solid #00BEF2;
    background-color: #3b3b3b;
    color: white;
    padding: 1vw 0;
    grid-row-gap: 1vw;
}

@media (max-width:800px){
    footer{
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: (1fr)[2];
        grid-template-columns: repeat(2,1fr);
        -ms-grid-rows: 1fr 2vw 1fr 2vw -webkit-max-content;
        -ms-grid-rows: 1fr 2vw 1fr 2vw max-content;
        grid-template-rows: repeat(2,1fr) -webkit-max-content;
        grid-template-rows: repeat(2,1fr) max-content;
        text-align: center;
        grid-template-areas: "UL address" "WH contact" "copyright copyright";
        border-top: 3px solid #00BEF2;
        background-color: #3b3b3b;
        color: white;
        padding: 1vw 0;
        grid-row-gap: 2vw;
    }

}

@media (max-width:430px){
    footer{
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
        -ms-grid-rows: -webkit-max-content 3vw -webkit-max-content 3vw -webkit-max-content 3vw -webkit-max-content 3vw -webkit-max-content;
        -ms-grid-rows: max-content 3vw max-content 3vw max-content 3vw max-content 3vw max-content;
        grid-template-rows: repeat(5,-webkit-max-content);
        grid-template-rows: repeat(5,max-content);
        text-align: center;
        grid-template-areas: "UL" "address" "WH" "contact" "copyright";
        border-top: 3px solid #00BEF2;
        background-color: #3b3b3b;
        color: white;
        padding: 3vw 0;
        grid-row-gap: 3vw;
    }
}

footer ul{
    list-style: none;
}

footer a{
    text-decoration: none;
    color: white;
}

#useful-links{
    -ms-grid-row: 1;
    -ms-grid-column: 1;
    grid-area: UL;
    width: 100%;
}

#address{
    -ms-grid-row: 1;
    -ms-grid-column: 2;
    grid-area: address;
    width: 100%;
}

#working-hours{
    -ms-grid-row: 1;
    -ms-grid-column: 3;
    grid-area: WH;
    width: 100%;
}
#contact{
    -ms-grid-row: 1;
    -ms-grid-column: 4;
    grid-area: contact;
    width: 100%;
}

#copyright{
    -ms-grid-row: 3;
    -ms-grid-column: 1;
    -ms-grid-column-span: 4;
    grid-area: copyright;
    width: 100%;
    font-size: smaller;
}

@media (max-width:800px){
    #useful-links{
        -ms-grid-row: 1;
        -ms-grid-column: 1;
    }
    #address{
        -ms-grid-row: 1;
        -ms-grid-column: 2;
    }
    #working-hours{
        -ms-grid-row: 3;
        -ms-grid-column: 1;
    }
    #contact{
        -ms-grid-row: 3;
        -ms-grid-column: 2;
    }
    #copyright{
        -ms-grid-row: 5;
        -ms-grid-column: 1;
        -ms-grid-column-span: 2;
    }
}

@media (max-width:430px){
    #useful-links{
        -ms-grid-row: 1;
        -ms-grid-column: 1;
    }
    #address{
        -ms-grid-row: 3;
        -ms-grid-column: 1;
    }
    #working-hours{
        -ms-grid-row: 5;
        -ms-grid-column: 1;
    }
    #contact{
        -ms-grid-row: 7;
        -ms-grid-column: 1;
    }
    #copyright{
        -ms-grid-row: 9;
        -ms-grid-column: 1;
        -ms-grid-column-span: 1;
    }
}